microstache-1: Mustache templates for Haskell

Copyright | © 2016–2017 Stack Builders
License | BSD 3 clause
Maintainer | Mark Karpov <markkarpov@openmailbox.org>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Microstache.Parser

Description

Megaparsec parser for Mustache templates. You don't usually need to import the module, because Text.Microstache re-exports everything you may need, import that module instead.

Synopsis

- parseMustache :: FilePath -> Text -> Either ParseError [Node]

# Documentation

parseMustache #

Arguments

:: FilePath | Location of file to parse
-> Text | File contents (Mustache template)
-> Either ParseError [Node] | Parsed nodes or parse error

Parse given Mustache template.